## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

Name:           python-time-machine
Version:        2.13.0
Release:        %autorelease
Summary:        Travel through time in your Python tests
License:        MIT
URL:            https://github.com/adamchainz/time-machine
Source:         %{url}/archive/%{version}/time-machine-%{version}.tar.gz

# time.clock_gettime and clock_gettime_ns are METH_O in Python 3.13.0a2+
# From https://github.com/adamchainz/time-machine/pull/409
Patch:          %{url}/commit/275e88f44b.patch

BuildRequires:  gcc
BuildRequires:  python3-devel

%global _description %{expand:
A Python library that allows to travel in time and freeze it as well.
Includes a test-function decorator that sets time to an arbitrary value.}

%description %_description

%package -n     python3-time-machine
Summary:        %{summary}

%description -n python3-time-machine %_description


%prep
%autosetup -p1 -n time-machine-%{version}
sed -i '/coverage/d' requirements/requirements.in


%generate_buildrequires
# tox uses a pinned version of requirements/requirements.in and also uses coverage
# so we bypass it.
# This also saves us one dependency cycle as tox uses time-machine for tests.
%pyproject_buildrequires requirements/requirements.in


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files time_machine _time_machine


%check
%pytest -v


%files -n python3-time-machine -f %{pyproject_files}
%doc README.rst HISTORY.rst


%changelog
* Fri Nov 24 2023 Miro Hrončok <miro@hroncok.cz> 2.13.0-2
- Add support for Python 3.13.0a2+

* Fri Nov 24 2023 Miro Hrončok <miro@hroncok.cz> 2.13.0-1
- Update to 2.13.0

* Tue Aug 29 2023 Charalampos Stratakis <cstratak@redhat.com> 2.12.0-1
- Update to 2.12.0

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> 2.9.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jun 16 2023 Python Maint <python-maint@redhat.com> 2.9.0-3
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> 2.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jan 11 2023 Miro Hrončok <miro@hroncok.cz> 2.9.0-1
- Initial import
